### A free/open-source library for quantitative finance

Classes | Functions
ql/instruments/barriertype.hpp File Reference

Barrier type. More...

`#include <ql/qldefines.hpp>`
`#include <ostream>`
Include dependency graph for barriertype.hpp:

## Classes

struct | Barrier
| Placeholder for enumerated barrier types. More...

## Functions

std::ostream & | operator<< (std::ostream &out, Barrier::Type type)

## Detailed Description

Barrier type.